Summary: GNOME Shell extensions for GNOME 2 user experience
Name: gnome-shell-frippery
Version: 47.0
Release: 1
License: GPLv2+
Group: User Interface/Desktops
URL: http://frippery.org/extensions
Source: gnome-shell-frippery-%{version}.tgz
Buildroot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires: gnome-shell >= 46
Conflicts: gnome-shell-extension-frippery-applications-menu
Conflicts: gnome-shell-extension-frippery-bottom-panel
Conflicts: gnome-shell-extension-frippery-move-clock
Conflicts: gnome-shell-extension-frippery-panel-favorites

%description
The gnome-shell-frippery package contains a set extensions to the GNOME
Shell that provide a user experience more akin to that of GNOME 2.  The
extensions:

 * move the clock to the right of the panel
 * add launchers for favourite applications to the panel
 * replace the Activities button with an Applications menu
 * add a bottom panel with window list and workspace switcher

%prep
%setup -q -n %{name} -c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gnome-shell
mkdir -p %{buildroot}%{_docdir}
find . -name '*.po' | xargs rm -f
find . -name '*.pot' | xargs rm -f
find . -name '*.gschema.xml' | xargs rm -f
cp -rp .local/share/gnome-shell/extensions %{buildroot}%{_datadir}/gnome-shell
cp -rp .local/share/gnome-shell/%{name} %{buildroot}%{_docdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/gnome-shell/extensions/*
%{_docdir}/%{name}-%{version}

%changelog
* Tue Sep 17 2024 Ron Yorston <rmy@pobox.com> 47.0-1
- Update for GNOME 47

* Thu Mar 28 2024 Ron Yorston <rmy@pobox.com> 46.0-1
- Update for GNOME 46

* Wed Oct 11 2023 Ron Yorston <rmy@pobox.com> 45.0-1
- Update for GNOME 45

* Wed Mar 29 2023 Ron Yorston <rmy@pobox.com> 44.0-1
- Update for GNOME 44

* Mon Sep 19 2022 Ron Yorston <rmy@pobox.com> 43.0-1
- Update for GNOME 43

* Sun Jun 12 2022 Ron Yorston <rmy@pobox.com> 42.1-1
- Update window list when a window is moved to a different workspace.
  More fallout from the changes in GNOME Shell 41.3.

* Wed Mar 30 2022 Ron Yorston <rmy@pobox.com> 42.0-1
- Update for GNOME 42

* Sat Mar 26 2022 Ron Yorston <rmy@pobox.com> 41.3-1
- Allow window list items to be reordered, broken by the previous change.

* Mon Jan 17 2022 Ron Yorston <rmy@pobox.com> 41.2-1
- Update Bottom Panel to work around changes in GNOME Shell 41.3.
  Otherwise new windows aren't added to the window list.

* Fri Sep 24 2021 Ron Yorston <rmy@pobox.com> 41.1-1
- Bring code into line with that on extensions.gnome.org

* Fri Sep 24 2021 Ron Yorston <rmy@pobox.com> 41.0-1
- Update for GNOME 41

* Tue May 25 2021 Ron Yorston <rmy@pobox.com> 40.2-1
- Fix display of text in window list items in the Bottom Panel

* Sun May  2 2021 Ron Yorston <rmy@pobox.com> 40.1-1
- Revert to horizontal workspaces when Bottom Panel is disabled
- Improve handling of dynamic workspaces setting
- Display workspace switcher popup correctly when moving to first or
  last workspace

* Fri Mar 26 2021 Ron Yorston <rmy@pobox.com> 40.0-1
- Update for GNOME 40

* Sat Oct  3 2020 Ron Yorston <rmy@pobox.com> 3.38.0-1
- Update for GNOME 3.38

* Tue Apr 21 2020 Ron Yorston <rmy@pobox.com> 3.36.1-1
- Prevent gap between Applications Menu and Panel Favorites
- Drop support for disabling hot corner: use GNOME Tweaks

* Sun Mar 15 2020 Ron Yorston <rmy@pobox.com> 3.36.0-1
- Update for GNOME 3.36

* Wed Oct  9 2019 Ron Yorston <rmy@pobox.com> 3.34.2-1
- Make menu items in Applications Menu work.

* Thu Oct  3 2019 Ron Yorston <rmy@pobox.com> 3.34.1-1
- Fix preferences dialogs for Applications Menu and Bottom Panel

* Thu Sep 26 2019 Ron Yorston <rmy@pobox.com> 3.34.0-1
- Update for GNOME 3.34

* Wed May 29 2019 Ron Yorston <rmy@pobox.com> 3.32.2-1
- Update code.  No changes in functionality.

* Mon Mar 25 2019 Ron Yorston <rmy@pobox.com> 3.32.1-1
- Improve how icons are resized in Panel Favorites when font-scaling
  is in use.

* Sun Mar 24 2019 Ron Yorston <rmy@pobox.com> 3.32.0-1
- Update for GNOME 3.32

* Sun Feb 24 2019 Ron Yorston <rmy@pobox.com> 3.30.2-1
- Fix possible errors in Panel Favorites

* Wed Oct 31 2018 Ron Yorston <rmy@pobox.com> 3.30.1-1
- Fix right-click menus in Panel Favorites.

* Mon Oct  1 2018 Ron Yorston <rmy@pobox.com> 3.30.0-1
- Update for GNOME 3.30

* Mon Oct  1 2018 Ron Yorston <rmy@pobox.com> 3.28.3-1
- Fix incorrect behaviour when the number of workspaces is less than
  the specified grid size.
- Disconnect some signal handlers that were missed before.

* Mon Jul 30 2018 Ron Yorston <rmy@pobox.com> 3.28.2-1
- Allow the Bottom Panel to be disabled on all workspaces with a single
  setting.

* Sun Jun 17 2018 Ron Yorston <rmy@pobox.com> 3.28.1-2
- Fix incorrect shell versions in metadata.json files.

* Sun Jun 17 2018 Ron Yorston <rmy@pobox.com> 3.28.1-1
- Fix problem dragging window list items when desktop icons are enabled.
- Make window list item order persist when screen is locked.

* Wed May  2 2018 Ron Yorston <rmy@pobox.com> 3.28.0-1
- Update for GNOME 3.28

* Mon Mar 12 2018 Ron Yorston <rmy@pobox.com> 3.26.3-1
- Allow keyboard navigation of Panel Favorites.
- Add a preferences dialog to Panel Favorites which includes the ability
  to define a separate set of launchers for other applications.
- Allow the Bottom Panel to be disabled on the first workspace.
- Allow window list items in Bottom Panel to be rearranged by dragging.

* Thu Oct 12 2017 Ron Yorston <rmy@pobox.com> 3.26.2-1
- Better fix for Move Clock.

* Sun Oct  8 2017 Ron Yorston <rmy@pobox.com> 3.26.1-1
- Improve apprearance of Bottom Panel transparency.
- Alter detection of session mode in Move Clock so it works on Ubuntu.

* Wed Sep 27 2017 Ron Yorston <rmy@pobox.com> 3.26.0-1
- Update for GNOME 3.26

* Tue Jun 27 2017 Ron Yorston <rmy@pobox.com> 3.24.0-1
- Update for GNOME 3.24

* Sun Mar  5 2017 Ron Yorston <rmy@pobox.com> 3.22.1-1
- Add accessibility support for Applications Menu

* Tue Oct 18 2016 Ron Yorston <rmy@pobox.com> 3.22.0-1
- Update for GNOME 3.22

* Wed Apr 13 2016 Ron Yorston <rmy@pobox.com> 3.20.0-1
- Update for GNOME 3.20

* Thu Jan  7 2016 Ron Yorston <rmy@pobox.com> 3.18.2-1
- Implement standard preferences dialogs in addition to the right-click
  dialogs in Applications Menu and Bottom Panel.

* Mon Oct  5 2015 Ron Yorston <rmy@pobox.com> 3.18.0-1
- Update for GNOME 3.18

* Thu Jun 18 2015 Ron Yorston <rmy@pobox.com> 0.10.1-1
- Don't add broken applications to the menu.

* Thu May  7 2015 Ron Yorston <rmy@pobox.com> 0.10.0-2
- Change URL

* Tue May  5 2015 Ron Yorston <rmy@pobox.com> 0.10.0-1
- Update for GNOME 3.16

* Sat Nov  8 2014 Ron Yorston <rmy@tigress.co.uk> 0.9.0-1
- Update for GNOME 3.14

* Sun Mar 30 2014 Ron Yorston <rmy@tigress.co.uk> 0.8.0-1
- Update for GNOME 3.12

* Sat Mar  8 2014 Ron Yorston <rmy@tigress.co.uk> 0.7.6-1
- Place bottom panel on bottom monitor.
- Add new settings to Bottom Panel configuration dialog:
    show/hide tray button;
    control whether panel is visible on each workspace (except the first:
    it's always visible on the first).

* Fri Jan 31 2014 Ron Yorston <rmy@tigress.co.uk> 0.7.4-1
- Dismiss tootips when message tray is invoked.

* Fri Dec 20 2013 Ron Yorston <rmy@tigress.co.uk> 0.7.3-1
- Fix workspace navigation using keyboard.

* Sun Dec  8 2013 Ron Yorston <rmy@tigress.co.uk> 0.7.2-1
- Resize Panel Favorites icons when panel height changes.

* Fri Nov 22 2013 Ron Yorston <rmy@tigress.co.uk> 0.7.1-1
- Fix problem with display of message tray in Bottom Panel extension

* Sun Nov  3 2013 Ron Yorston <rmy@tigress.co.uk> 0.7.0-1
- Update for GNOME 3.10
- Remove Shut Down menu extension

* Thu Aug 29 2013 Ron Yorston <rmy@tigress.co.uk> 0.6.1-1
- Split ugly OpenJDK application descriptions onto two lines.

* Thu May 16 2013 Ron Yorston <rmy@tigress.co.uk> 0.6.0-1
- Update for GNOME 3.8

* Tue May 14 2013 Ron Yorston <rmy@tigress.co.uk> 0.5.3-1
- Fix a bug that caused workspace switching to slow down after resuming
  from the lock screen.
- Prevent the Applications menu from appearing when invoking the
  configuration dialog.
- Don't add empty categories to the Applications menu.

* Sun Feb 24 2013 Ron Yorston <rmy@tigress.co.uk> 0.5.2-1
- Fix message tray after changes in GNOME Shell 3.6.3 broke it.
- Change direction of workspace switching with the mouse wheel.

* Wed Dec 12 2012 Ron Yorston <rmy@tigress.co.uk> 0.5.1-1
- Add right-click menu to items in the window list
- Replace Close button in workspace switcher dialog with OK/Cancel

* Wed Dec  5 2012 Ron Yorston <rmy@tigress.co.uk> 0.5.0-1
- Update for GNOME 3.6
- Remove Static Workspaces extension

* Thu May 24 2012 Ron Yorston <rmy@tigress.co.uk> 0.4.1-1
- Add tooltips to workspace buttons, window list items and panel launchers
- Fix problem with resume from suspend

* Wed Apr 04 2012 Ron Yorston <rmy@tigress.co.uk> 0.4.0-1
- Update for GNOME 3.4

* Sun Apr 01 2012 Ron Yorston <rmy@tigress.co.uk> 0.3.7-1
- Prevent message tray from appearing with full screen application
- Disable Applications Menu if both icon and label are turned off
- Adjust appearance of panel launchers when the mouse hovers over them

* Sun Dec 11 2011 Ron Yorston <rmy@tigress.co.uk> 0.3.6-1
- Improvements and bug fix to Applications Menu settings dialog

* Sun Dec 04 2011 Ron Yorston <rmy@tigress.co.uk> 0.3.5-1
- Add a settings dialog to the Applications Menu
- Workaround a bug in the Shell that broke drag and drop to the hot corner

* Sun Nov 27 2011 Ron Yorston <rmy@tigress.co.uk> 0.3.4-1
- Fix bugs in workspace switching
- Add workspace switching popup that understands the grid layout

* Tue Nov 22 2011 Ron Yorston <rmy@tigress.co.uk> 0.3.3-1
- Allow workspaces to be arranged in a grid
- Allow the mouse scroll wheel to change workspace
- Fix a bug in handling of translations

* Sun Nov 13 2011 Ron Yorston <rmy@tigress.co.uk> 0.3.2-1
- Add icon to Applications menu
- Reinstate top-left hot corner

* Mon Nov  7 2011 Ron Yorston <rmy@tigress.co.uk> 0.3.1-1
- Only show the '!' in the message button if notifications are present
- Increase height of children of the bottom panel

* Mon Oct 17 2011 Ron Yorston <rmy@tigress.co.uk> 0.3.0-1
- Update for GNOME 3.2

* Thu Aug 18 2011 Ron Yorston <rmy@tigress.co.uk> 0.2.5-1
- Improve positioning of bottom panel on systems with multiple monitors.

* Sun Aug  7 2011 Ron Yorston <rmy@tigress.co.uk> 0.2.4-1
- Fix bug in bottom panel that stopped Alt+Tab from working.
- Remove conflict with alternative-status-menu:  different users may wish
  to enable different combinations of installed extensions.

* Fri Jun 17 2011 Ron Yorston <rmy@tigress.co.uk> 0.2.3-1
- Another attempt at fixing the window list bug.

* Mon Jun 13 2011 Ron Yorston <rmy@tigress.co.uk> 0.2.2-1
- Fix bug in updating of window list as windows are added/removed.

* Wed Jun  8 2011 Ron Yorston <rmy@tigress.co.uk> 0.2.1-1
- Make the width of the clock more stable as the time changes.

* Thu Jun  2 2011 Ron Yorston <rmy@tigress.co.uk> 0.2.0-1
- Add bottom panel

* Tue May 31 2011 Ron Yorston <rmy@tigress.co.uk> 0.1.1-1
- Fix stylesheet problem due to user-theme extension
- Fix launcher tooltips for applications without comments

* Wed May 25 2011 Ron Yorston <rmy@tigress.co.uk> 0.1.0-1
- Add Shut Down menu extension

* Sun May 22 2011 Ron Yorston <rmy@tigress.co.uk> 0.0.4-1
- Initial RPM release
